ImageArea (gCube Templates Portlet 4.5.0-SNAPSHOT API)
Date: 2013-12-11

org.gcube.portlets.user.templates.client.components

## Class ImageArea

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent
        - - org.gcube.portlets.user.templates.client.components.ImageArea

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class ImageArea
      extends org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

  `ImageArea` class is the Widget that goes into the workspace
  Version:
    October 2008 (0.2)
  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

      `DELTA, height, left, mainPanel, resizablePanel, top, topPanel, width`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageArea(Presenter controller, boolean isURL, String param, String myTemplate, int left, int top, int width, int height)` Creates an image with a specified URL.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getImageName()`
    `String` | `getImageURL(String imageName, String templateName)` return a URL which is lookable for on the web
    `String` | `getTemplateName()`
    `void` | `lockComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toLock, boolean locked)`
    `void` | `removeTemplateComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toRemove)`
    `void` | `resizePanel(int width, int height)` used to resize the panel
    `void` | `setImageName(String imageName)`
    `void` | `setTemplateName(String myTemplate)`

    - ### Methods inherited from class org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent

      `get, getLeft, getMyFakeTextArea, getResizablePanel, getTop, getTopPanel, getType, hideCloseButton, repositionMyPanel, setHeight, setLeft, setLocked, setMyFakeTextArea, setTop, setType`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageArea

          public ImageArea(Presenter controller,
                   boolean isURL,
                   String param,
                   String myTemplate,
                   int left,
                   int top,
                   int width,
                   int height)

      Creates an image with a specified URL. The load event will be fired once the image at the given URL has been retrieved by the browser.
      Parameters:
        `controller` - . * @param param the imageName of the image to be displayed or the URL to be displayed depending on the isURL param
        `myTemplate` - the template that owns the image, useful when template it's saved with another name to eventually copy the images in the new template images folder
        `isURL` - true if passing a URL, false is passing image name
        `height` - h
        `width` - w
        `left` - l
        `top` - t

  - ### Method Detail

    - #### resizePanel

          public void resizePanel(int width,
                         int height)

      used to resize the panel
      Overrides:
        `resizePanel` in class `org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent`
      Parameters:
        `width` - w
        `height` - h

    - #### getImageURL

          public String getImageURL(String imageName,
                           String templateName)

      return a URL which is lookable for on the web
      Parameters:
        `imageName` - .
        `templateName` - .
      Returns:
        .

    - #### getTemplateName

          public String getTemplateName()

      Returns:
        a string containing the owner template name

    - #### setTemplateName

          public void setTemplateName(String myTemplate)

      Parameters:
        `myTemplate` - the template owner

    - #### getImageName

          public String getImageName()

      Returns:
        .

    - #### setImageName

          public void setImageName(String imageName)

      Parameters:
        `imageName` - .

    - #### lockComponent

          public void lockComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toLock,
                           boolean locked)

      Specified by:
        `lockComponent` in class `org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent`

    - #### removeTemplateComponent

          public void removeTemplateComponent(org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent toRemove)

      Specified by:
        `removeTemplateComponent` in class `org.gcube.portlets.d4sreporting.common.client.uicomponents.ReportUIComponent`

Copyright © 2013. All Rights Reserved.